Qt 5.11 | Qt Sensors | C++ Classes | QAccelerometerFilter

Qt 5.11.3 Reference Documentation

# QAccelerometerFilter Class

The QAccelerometerFilter class is a convenience wrapper around QSensorFilter. More...

Header: | #include <QAccelerometerFilter>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensorFilter

- List of all members, including inherited members

## Public Functions

virtual bool | filter(QAccelerometerReading *reading) = 0

- 1 public function inherited from QSensorFilter

## Detailed Description

The QAccelerometerFilter class is a convenience wrapper around QSensorFilter.

The only difference is that the filter() method features a pointer to QAccelerometerReading instead of QSensorReading.

## Member Function Documentation

### `[pure virtual]` bool QAccelerometerFilter::filter(QAccelerometerReading *reading)

Called when reading changes. Returns false to prevent the reading from propagating.

See also QSensorFilter::filter().